'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var dom = require('@motionone/dom');
var animation = require('@motionone/animation');

function animateProgress(target, options) {
    return dom.wrapAnimationWithControls([
        () => {
            const animation$1 = new animation.Animation(target, [0, 1], options);
            animation$1.finished.catch(() => { });
            return animation$1;
        },
    ], options === null || options === void 0 ? void 0 : options.duration);
}
function animate(target, keyframesOrOptions, options) {
    const animationFunction = typeof target === "function" ? animateProgress : dom.animate;
    return animationFunction(target, keyframesOrOptions, options);
}

exports.animate = animate;
exports.animateProgress = animateProgress;
